<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Recommendation;
use Illuminate\Support\Facades\Http;

class JobController extends Controller
{
    public function index() {
        $response = Http::get(config('app.company_api').'/api/jobs');
        $jobs = $response->json();
        
        return view('jobs.index', [
            'jobs' => $jobs
        ]);
    }

    public function show($id) {
        $response = Http::get(config('app.company_api').'/api/jobs/'.$id);
        $job = $response->json();

        $response = Http::get(config('app.student_api').'/api/users');
        $users = $response->json();
        
        
        return view('jobs.show', [
            'job' => $job,
            'users' => $users
        ]);
    }

    public function recommend(Request $request) {
        $student_id = $request->student_id;
        $job_id = $request->job_id;
        $school_id = auth()->user()->id;
        $company_id = $request->company_id;

        $this->validate($request, [
            'student_id' => 'required'
        ]);

        $reco = Recommendation::create([
            'student_id' => $student_id,
            'job_id' => $job_id,
            'school_id' => $school_id,
            'company_id' => $company_id
        ]);

        return redirect(route('jobs'));
    }
}
