<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Seminar;

class SeminarController extends Controller
{
    public function index() {

        $seminars = Seminar::all();

        return view('seminars.index', [
            'seminars' => $seminars
        ]);
    }

    public function create() {
        return view('seminars.create');
    }

    public function store(Request $request) {
        $this->validate($request, [
            'title' => 'required|string',
            'description' => 'required'
        ]);

        $seminar = Seminar::create([
            'title' => $request->title,
            'description' => $request->description
        ]);

        return redirect(route('seminars'));
    }

    public function show($id) {
        $seminar = Seminar::findOrFail($id);

        return view('seminars.show', [
            'seminar' => $seminar
        ]);
    }
}
