@extends('layouts.app')

@section('content')

    <div class="container-fluid">
        <div class="card shadow mb-4">
            <div class="card-header">
                <div class="header-flex">
                    <div class="header-flex-sub">
                        <div> {{ $job['job_title'] }} - {{ $job['company']['company_name'] }} </div>
                        <div>{{ $job['location'] }}</div>
                    </div>
                    <div><button class="btn btn-primary" data-toggle="modal" data-target="#recommendModal">Recommend a student</button></div>
                </div>
            </div>
            <div class="card-body">
                {!!  $job['content'] !!}
            </div>
        </div>
    </div>


    <!-- Logout Modal-->
    <div class="modal fade" id="recommendModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Recommend a student for the job</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form action="{{ route('job.reco') }}" method="POST" id="reco-form">
                <div class="modal-body">
                    <div class="reco-modal-container">
                        <div class="reco-modal-header">{{ $job['job_title'] }} - {{ $job['user_id'] }}</div>
                        <hr>
                            @csrf
                            <input type="hidden" name="job_id" value="{{ $job['id'] }}">
                            <input type="hidden" name="company_id" value="{{ $job['company']['id'] }}">
                            <div class="mb-3">
                                <label for="student_id" class="form-label">Choose a student to recommend</label>
                                <select name="student_id" id="student_id" class="form-control">
                                    <option value=""> -- </option>
                                    @foreach($users as $user)
                                    <option value="{{ $user['id'] }}">{{ $user['name'] }} - {{ $user['profile']['school'] }}</option>
                                    @endforeach
                                </select>
                            </div>
                    
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-primary" type="submit">Submit</button>
                </div>
                </form>

            </div>
        </div>
    </div>
@endsection