<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\JobController;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\SeminarController;
use App\Http\Controllers\StudentController;
use App\Http\Controllers\WebinarController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Auth\RegisterController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/



Auth::routes();

// Route::get('/login', [LoginController::class, 'showLoginForm'])->name('login');
// Route::post('/login', [LoginController::class, 'login'])->name('login');
Route::get('/', function() {
    return redirect('/dashboard');
});

// Route::get('/profile/completion', [RegisterController::class, 'completion'])->name('profile.completion');

Route::middleware(['web', 'auth'])->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');

    Route::get('/students', [StudentController::class, 'index'])->name('students');

    //Seminars
    Route::get('/seminars', [SeminarController::class, 'index'])->name('seminars');
    Route::get('/seminar/add', [SeminarController::class, 'create'])->name('seminar.add');
    Route::post('/seminar/add', [SeminarController::class, 'store'])->name('seminar.store');
    Route::get('/seminar/show/{id}', [SeminarController::class, 'show'])->name('seminar.show');

    //Webinars
    Route::get('/webinars', [WebinarController::class, 'index'])->name('webinars');

    //Companies
    Route::get('/companies', [CompanyController::class, 'index'])->name('companies');

    //Jobs
    Route::get('/jobs', [JobController::class, 'index'])->name('jobs');
    Route::get('/job/{id}', [JobController::class, 'show'])->name('job.show');
    Route::post('/job/recommendation', [JobController::class, 'recommend'])->name('job.reco');
});

